## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 19;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Shall we re-generate the code using jschema-to-python? The Fedora guidelines
# suggest but do not require that we do so.
%bcond regenerate 1

Name:           python-sarif-om
Summary:        Classes implementing the SARIF 2.1.0 object model
Version:        1.0.4
Release:        %autorelease

# SPDX
License:        MIT
URL:            https://github.com/microsoft/sarif-python-om
Source:         %{pypi_source sarif_om}

# Fix deprecated dash-separated names in setup.cfg
# https://github.com/microsoft/sarif-python-om/pull/7
# Rebased on the released PyPI sdist (with different whitespace in setup.cfg)
Patch:          sarif_om-1.0.4-setuptools-deprecations.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with regenerate}
BuildRequires:  python3dist(jschema-to-python)
%endif
BuildRequires:  dos2unix

%global common_description %{expand:
This module contains classes for the object model defined by the Static
Analysis Results Interchange Format (SARIF) Version 2.1.0 file format, an OASIS
Committee Specification.

To learn more about SARIF and find resources for working with it, you can visit
the SARIF Home Page (https://sarifweb.azurewebsites.net/).}

%description %{common_description}


%package -n     python3-sarif-om
Summary:        %{summary}

%description -n python3-sarif-om %{common_description}


%prep
%autosetup -n sarif_om-%{version}
%if %{with regenerate}
rm -rf sarif_om
%endif
# Fix CRNL line termination
find . -type f -exec dos2unix --keepdate '{}' '+'


%generate_buildrequires
%pyproject_buildrequires


%build
%if %{with regenerate}
# See the “Generation” section in README.rst.
%{python3} -m jschema_to_python \
    --schema-path sarif-2.1.0-rtm.4.json \
    --module-name sarif_om \
    --output-directory sarif_om \
    --root-class-name SarifLog \
    --hints-file-path code-gen-hints.json \
    --force \
    -vv
%endif
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l sarif_om


%check
# Upstream does not provide any tests
%pyproject_check_import


%files -n python3-sarif-om -f %{pyproject_files}
%doc README.rst
%doc SECURITY.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.4-18
- Rebuilt for Python 3.13

* Wed Apr 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-17
- Fix deprecated dash-separated names in setup.cfg

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-14
- Assert that %%pyproject_files contains a license file

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-13
- Don’t package CODE_OF_CONDUCT.md
- It is much more useful to upstream contributors than to distribution
  package users.

* Wed Sep 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-12
- Keep timestamps when converting text file line endings

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 1.0.4-10
- Rebuilt for Python 3.12

* Mon Jun 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-9
- Use new (rpm 4.17.1+) bcond style

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-6
- Confirm License is SPDX MIT

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-5
- Drop default argument -r from pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-3
- Rebuilt for Python 3.11 (close RHBZ#2099099)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.4-1
- Initial commit (close RHBZ#2032992)
## END: Generated by rpmautospec
